Bug 39265 - Update port: lang/itcl ${PERL} -> ${REINPLACE_CMD}
Update port: lang/itcl ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:10 UTC by obraun
Modified: 2002-06-27 14:33 UTC (History)
0 users

See Also:


Attachments
file.diff (483 bytes, patch)
2002-06-14 10:10 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:10:02 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-19 23:24:20 UTC
add USE_REINPLACE= yes

Regards,
         Olli


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/lang/itcl/Makefile,v
retrieving revision 1.30
diff -u -r1.30 Makefile
--- Makefile	2001/07/28 14:53:45	1.30
+++ Makefile	2002/06/19 22:24:00
@@ -17,6 +17,7 @@
 LIB_DEPENDS=	tcl83:${PORTSDIR}/lang/tcl83
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/itcl
+USE_REINPLACE=	yes
 INSTALLS_SHLIB=	yes
 PKGINSTALL=	${PORTSDIR}/lang/tcl83/pkg-install.tclsh
 PKGDEINSTALL=	${PORTSDIR}/lang/tcl83/pkg-deinstall.tclsh
@@ -47,7 +48,7 @@
 	${RM} ${WRKSRC}/pkgIndex.tcl
 
 post-patch:
-	${PERL} -pi \
+	${REINPLACE_CMD} \
 		-e 's,package require Itcl,load [glob \
 			${WRKSRC}/${ITCL_LIB}.${SHLIB_MAJOR}*],;' \
 		${WRKSRC}/tests/*.test
Comment 2 perky freebsd_committer 2002-06-27 14:33:40 UTC
State Changed
From-To: open->closed

Committed, Thanks!